### Function

# Gtk TreeModelFilterVisibleFunc

since: 4.0

#### Declaration

    gboolean
    (* GtkTreeModelFilterVisibleFunc) (
      GtkTreeModel* model,
      GtkTreeIter* iter,
      gpointer data
    )

#### Description [src]

A function which decides whether the row indicated by `iter` is visible.

Available since: 4.0

#### Parameters

`model`

  Type: `GtkTreeModel`

  The child model of the `GtkTreeModelFilter`

  The data is owned by the caller of the function.

`iter`

  Type: `GtkTreeIter`

  A `GtkTreeIter` pointing to the row in `model` whose visibility is determined.

  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  User data given to `gtk_tree_model_filter_set_visible_func()`

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

Whether the row indicated by `iter` is visible.